unit UnitFormListener;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UnitMulticaster, ExtCtrls, UnitFormMain;

type
  TFormListener = class(TForm)
    Panel1: TPanel;
    procedure FormCreate(Sender: TObject);
  private
  private
		procedure FormMainListener(aMulticasterEvent: TEvent);
  public
  end;

var
  FormListener: TFormListener;

implementation

{$R *.DFM}

procedure TFormListener.FormMainListener(aMulticasterEvent: TEvent);
begin
	if (aMulticasterEvent is TEventUserNameChange) then
    Panel1.Caption := FormMain.UserName;
end;

procedure TFormListener.FormCreate(Sender: TObject);
begin
  (Owner as TFormMain).Multicaster.AddListener(FormMainListener);
end;

end.
