unit UnitFormListener;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UnitMulticaster, ExtCtrls, UnitFormMain;

type
  TFormListener = class(TForm)
    Panel1: TPanel;
    procedure FormCreate(Sender: TObject);
  private
  private
		procedure UserNameListener(aMulticasterEvent: TEvent);
  public
  end;

var
  FormListener: TFormListener;

implementation

{$R *.DFM}

procedure TFormListener.UserNameListener(aMulticasterEvent: TEvent);
begin
	Panel1.Caption := FormMain.UserName.Value
end;

procedure TFormListener.FormCreate(Sender: TObject);
begin
  (Owner as TFormMain).UserName.Multicaster.AddListener(UserNameListener);
end;

end.
