unit QRPrintersForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, DBTables, QuickRpt, Qrctrls;

type
  TMainForm = class(TForm)
    btnPrintReport: TButton;
    lstPrinters: TListBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure lstPrintersClick(Sender: TObject);
    procedure btnPrintReportClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses
  Printers, QRPrintersReport;

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  //Get list of printers displayed in the listbox on the form
  lstPrinters.Items := Printer.Printers;
  //Highlight default printer
  lstPrinters.ItemIndex := Printer.PrinterIndex
end;

procedure TMainForm.lstPrintersClick(Sender: TObject);
begin
  //Record chosen printer as new current printer and as QuickReports target
  Printer.PrinterIndex := lstPrinters.ItemIndex;
  ReportForm.QuickRep1.PrinterSettings.PrinterIndex := lstPrinters.ItemIndex;
end;

procedure TMainForm.btnPrintReportClick(Sender: TObject);
begin
  //Print report on newly selected printer
  ReportForm.QuickRep1.Print
end;

end.
