unit BusinessLogicU3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, ExtCtrls, StdCtrls, Mask, ComCtrls, BusinessLogicDM, DB;

type
  TForm3 = class(TForm)
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    StatusBar1: TStatusBar;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    Label7: TLabel;
    DBEdit7: TDBEdit;
    Label8: TLabel;
    DBEdit8: TDBEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    DataModule: TDataModule1;
    procedure BeforeEdit(DataSet: TDataSet);
    procedure BeforeInsert(DataSet: TDataSet);
    procedure AfterPost(DataSet: TDataSet);
  end;

var
  Form3: TForm3;

implementation

{$R *.DFM}

{ TForm3 }

procedure TForm3.AfterPost(DataSet: TDataSet);
begin
  StatusBar1.SimpleText:='Saved';
end;

procedure TForm3.BeforeEdit(DataSet: TDataSet);
begin
  StatusBar1.SimpleText:='Editing';
end;

procedure TForm3.BeforeInsert(DataSet: TDataSet);
begin
  StatusBar1.SimpleText:='New record';
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
  DataModule:=TDataModule1.Create(self);
  DataModule.Table1.BeforeInsert:=BeforeInsert;
  DataModule.Table1.BeforeEdit  :=BeforeEdit;
  DataModule.Table1.AfterPost   :=AfterPost;
end;

procedure TForm3.FormShow(Sender: TObject);
begin
  DataModule.Name:='';
end;

end.
